import java.sql.*;
import java.util.Vector;

public class Test1
{
    public static void addData(String table, String[] data, Connection connection) throws SQLException
    {
        StringBuffer sql = new StringBuffer();
        sql.append("insert into " + table + " values (");
        for (int i = 0; i < data.length-1; i++)
           sql.append("'" + data[i] + "',");
        sql.append("'" + data[data.length-1] + "')");
        Statement statement = connection.createStatement();
        int result = statement.executeUpdate(sql.toString());
        System.out.println("Rows inserted: " + result);
    }

    public static void showTable(String table, Connection connection) throws SQLException
    {
        String sql = "select * from " + table;
        Statement statement = connection.createStatement();
        ResultSet results = statement.executeQuery(sql);
        ResultSetMetaData info = results.getMetaData();

        Vector header = new Vector();   
        for (int i = 0; i < info.getColumnCount(); i++)
            header.add(info.getColumnName(i+1));

        while (results.next())
        {  for (int i = 0; i < header.size(); i++) 
               System.out.println(header.get(i) + " = " + results.getString(i+1));
        }
 
        results.close();
        statement.close();
    }

    public static void main(String args[])
    {
        int port = 4567;
        String host = "localhost";
        String database = "test";
        String user = "db2admin";
        String pswd = "2lbs1609";

        String connectionURL = "jdbc:db2://" + host + ":" + port + "/" + database;
        try
        {   Class.forName("COM.ibm.db2.jdbc.net.DB2Driver"); 
            Connection connection = DriverManager.getConnection(connectionURL, user, pswd);
            DatabaseMetaData dbInfo     = connection.getMetaData();
            System.out.println("DB Product: " + dbInfo.getDatabaseProductName() + " "
                                              + dbInfo.getDatabaseProductVersion());
            System.out.println("\tsupports entry SQL: " + dbInfo.supportsANSI92EntryLevelSQL());
            System.out.println("\tsupports medium SQL: " + dbInfo.supportsANSI92IntermediateSQL());
            System.out.println("\tsupports full SQL: " + dbInfo.supportsANSI92FullSQL());

            showTable("address", connection);

            String[] data = {"John", "Student"};
            addData("address", data, connection);

            connection.close();
        }
        catch(ClassNotFoundException cnfe) 
        {   System.out.println("Error: Invalid SQL driver or driver not found");
        }
        catch(SQLException sqlex)
        {   System.out.println("SQL Error: " + sqlex.getMessage());
        }
    }
}
